Bug 204070 - Incorrect instructions to rebuild a fedora kernel
Incorrect instructions to rebuild a fedora kernel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release-notes (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 08:28 EDT by wet
Modified: 2013-01-09 20:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 09:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wet 2006-08-25 08:28:39 EDT
Description of problem:

Release notes from
http://fedora.redhat.com/docs/release-notes/fc5/release-notes-ISO/#id3092710
Section 8.6 Preparing for Kernel Development
tell me:

  Prepare the kernel sources using the commands:
  cd ~/rpmbuild/SPECS
  rpmbuild -bp --target $(uname -m) kernel-2.6.spec
  The kernel source tree is located in the
${HOME}/rpmbuild/BUILD/kernel-<version>/ directory.

This is not correct for FC5; when following the procedure the directory
.../BUILD/kernel-<version>/ contains:

# ls -p rpmbuild/BUILD/kernel-2.6.17/
Config.mk  linux-2.6.17.i686/  vanilla/  xen/  xen-20060708/

So I assume the kernel "sources" of a version I want to build myself are in one
these subdirectories, but this is different from the current wording of the
release notes.

The box a few lines above "Do Not Build Packages as Super-user" has the
directory (almost) correct:
~/rpmbuild/BUILD/kernel-<version>/linux-<version>


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Sam Folk-Williams 2006-08-28 07:49:56 EDT
Thanks for the BZ. I have fixed it in the Wiki, so it should get updated in the
next release -- FC6T3 and beyond.

Sam

Note You need to log in before you can comment on or make changes to this bug.